### Enumeration

# Camel FetchHeadersType

since: 3.2

#### Declaration

    enum Camel.FetchHeadersType

#### Description [src]

Describes what headers to fetch when downloading message summaries.

Available since: 3.2

#### Members

`CAMEL_FETCH_HEADERS_BASIC`

  Fetch only basic headers (Date, From, To, Subject, etc.).

  - Value: `0`
  - Available since: 3.2
`CAMEL_FETCH_HEADERS_BASIC_AND_MAILING_LIST`

  Fetch all basic headers and mailing list headers.

  - Value: `1`
  - Available since: 3.2
`CAMEL_FETCH_HEADERS_ALL`

  Fetch all available message headers.

  - Value: `2`
  - Available since: 3.2